API V1 · Projects
List all projects
GET
/v1/projects
curl --request GET \ --url https://api.lingohub.com/v1/projects \ --header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.lingohub.com/v1/projects"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.lingohub.com/v1/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer YOUR_API_KEY'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.lingohub.com/v1/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer YOUR_API_KEY")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.lingohub.com/v1/projects") .get() .addHeader("Authorization", "Bearer YOUR_API_KEY") .build();
Response response = client.newCall(request).execute();<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lingohub.com/v1/projects', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_API_KEY', ],]);
echo $response->getBody();require 'uri'require 'net/http'
url = URI("https://api.lingohub.com/v1/projects")
http = Net::HTTP.new(url.host, url.port)http.use_ssl = true
request = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer YOUR_API_KEY'
response = http.request(request)puts response.read_bodyusing System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.lingohub.com/v1/projects"), Headers = { { "Authorization", "Bearer YOUR_API_KEY" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}Retrieves a list of all projects accessible by the authenticated user. This includes projects the user owns as well as projects they collaborate on across all workspaces.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successfully returns the list of projects the authenticated user has access to.
Media typeapplication/json
A paginated list of projects within a workspace, with HATEOAS navigation links.
object
members
The list of projects in the workspace.
Array<object>
Summary information for a single project in a list response.
object
title
The title of the project.
string
links
HATEOAS links for the project (e.g. self link to project details).
Array<object>
object
href
string
hreflang
string
title
string
type
string
deprecation
string
profile
string
name
string
templated
boolean
links
HATEOAS links for navigating the project list (e.g. self, next, prev).
Array<object>
object
href
string
hreflang
string
title
string
type
string
deprecation
string
profile
string
name
string
templated
boolean
Examples
ExampleprojectList
Two projects in a workspace
ProjectList
{ "members": [ { "title": " Feature Demo", "links": [ { "rel": "self", "href": "https://api.lingohub.com/v1/lingohub-demo/projects/feature-demo" } ] }, { "title": "Storyblok Demo", "links": [ { "rel": "self", "href": "https://api.lingohub.com/v1/lingohub-demo/projects/storyblok-demo" } ] } ], "links": [ { "rel": "self", "href": "https://api.lingohub.com/v1/projects" } ]}Unauthorized: Authentication credentials are missing or invalid.
Media typeapplication/json
object
url
string
message
string
text
string
Example generated
{ "url": "example", "message": "example", "text": "example"}